Skip to main content
GET
Together AI SDK (Python)

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Secret ID or name

Response

Secret details

created_at
string

CreatedAt is the ISO8601 timestamp when this secret was created

created_by
string

CreatedBy is the identifier of who created this secret.

description
string

Description is a human-readable description of the secret's purpose

expires_at
string<date-time>

ExpiresAt is the ISO8601 timestamp when this secret expires and is deleted. Changing the value extends it. Omitted for secrets that never expire

id
string

ID is the unique identifier for this secret

last_updated_by
string

LastUpdatedBy is the identifier of who last updated this secret.

name
string

Name is the name/key of the secret

object
any

The object type, which is always secret.

ttl_seconds
integer

TTLSeconds is the secret's lifetime in seconds. Omitted when no TTL is set

updated_at
string

UpdatedAt is the ISO8601 timestamp when this secret was last updated